/* SegorKat - A viewer for the electronic catalog of  
*            Segor electronics (www.segor.de). 
* 
* http://www.mydarc.de/dl9obn/programs/segorkat 
* 
* Copyright (C) 2005 by Dirk Baechle (dl9obn@darc.de) 
* 
* This program is free software; you can redistribute it and/or 
* modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation; either version 2 
* of the License, or (at your option) any later version. 
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
* GNU General Public License for more details. 
* 
* You should have received a copy of the GNU General Public 
* License along with this program; if not, write to the 
* 
* Free Software Foundation, Inc. 
* 675 Mass Ave 
* Cambridge 
* MA 02139 
* USA 
* 
*/

/** 
\file skUncompress.h 
\author Dirk Baechle 
\date 2005-07-02 
\version 1.0 
*/

#ifndef SK_UNCOMPRESS_H
#define SK_UNCOMPRESS_H

/*------------------------------------------------------------ Functions */

#ifdef SEGORKAT_QT

class QString;
extern int uncompressSegorCatalog(const QString &fileName,
                                  const QString &dirName);
#else

#include <iostream>
#include <string>

using namespace std;

extern int uncompressSegorCatalog(const string &fileName,
                                  const string &dirName);
  
#endif // of: #ifdef SEGORKAT_QT ... #else ...  

#endif

